=== debian/changelog ===
squeak-plugins-scratch (1.4.0.2~svn.r80-1) unstable; urgency=low

  * Initial release. Closes: #637835

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 04 Aug 2011 22:35:50 +0200
