## squeak-plugins-scratch 1.4.0.2~svn.r83

=== camera/Makefile ===
all: clean build

build:	
	gcc $(CFLAGS) -fPIC -c *.c
	gcc -shared *.o -o ../../../Plugins/so.CameraPlugin

clean:
	rm -f *.o ../../../Plugins/so.CameraPlugin
