=== debian/changelog ===
squeak-plugins-scratch (1.4.0.2~svn.r83-3) unstable; urgency=medium

  * Cleaned up many lintian warnings
  * Upgraded Standards-Version from 3.9.2 to 4.2.1.4
  * Upgraded Compatibility level to 9

 -- Miriam Ruiz <miriam@debian.org>  Fri, 09 Nov 2018 12:16:26 +0100

squeak-plugins-scratch (1.4.0.2~svn.r83-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": apply patch from Brett Johnson:
    build with "-std=gnu89".
    (Closes: #778129)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 15:55:19 +0200

squeak-plugins-scratch (1.4.0.2~svn.r83-2) unstable; urgency=low

  * Added udev file for the WeDo plugin to /lib/udev/rules.d/. Closes: #682578
    Thanks to Amos Blanton and Sayamindu Dasgupta.
  * Added Vcs-Svn and Vcs-Browser to debian/control.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 23 Jul 2012 22:14:55 +0200

squeak-plugins-scratch (1.4.0.2~svn.r83-1) unstable; urgency=low

  * New upstream release, obtained from SVN
    - Removed camera plugin link dependency
    - Corrected lib name used when opening libv4l2

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 03 Nov 2011 00:51:43 +0100
