=== debian/control ===
Source: squeak-plugins-scratch
Section: devel
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper, dh-buildinfo,
 libcairo2-dev (>= 1.8.6), libpango1.0-dev (>= 1.24.1),
 libglib2.0-dev (>= 2.20.1), libv4l-dev (>= 0.5.8)
Standards-Version: 4.2.1.4
Homepage: http://info.scratch.mit.edu/Scratch_on_Linux

Package: squeak-plugins-scratch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: udev
Suggests: squeak-plugins-scratch-dbg (= ${binary:Version})
Description: Squeak plugins for the Scratch programming environment
 Scratch is an easy, interactive, collaborative programming
 environment designed for creation of interactive stories, animations,
 games, music, and art -- and sharing these on the web.
 .
 Scratch is designed to help young people (ages 8 and up) develop 21st
 century learning skills. As they create Scratch projects, young people
 learn important mathematical and computational ideas, while also
 gaining a deeper understanding of the process of design.
 .
 This package contains the plugins needed by Scratch and its derivatives.

Package: squeak-plugins-scratch-dbg
Section: debug
Architecture: any
Depends: squeak-plugins-scratch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Squeak plugins for the Scratch programming environment - debug
 Scratch is an easy, interactive, collaborative programming
 environment designed for creation of interactive stories, animations,
 games, music, and art -- and sharing these on the web.
 .
 This package contains the debugging symbols for the plugins.
